### experimental::coro_traits

The traits describing the resumable coroutine behaviour.

    template<
        typename Yield,
        typename Return,
        typename Executor>
    struct coro_traits

##### Data Members

Name | Description
--- | ---
is_noexcept [static] | Whether or not the coroutine is noexcept.

Template parameter `Yield` specifies type or signature used by co_yield, `Return` specifies the type used for co_return, and `Executor` specifies the underlying executor type.

##### Requirements

Header: `asio/experimental/coro_traits.hpp`

Convenience header: None